@extends($theme.'layouts.user')
@section('title')
    {{ 'Pay with '.optional($order->gateway)->name ?? '' }}
@endsection


@section('content')

    <script src="https://js.stripe.com/v3/"></script>
    <style>
        .StripeElement {
            box-sizing: border-box;
            height: 40px;
            padding: 10px 12px;
            border: 1px solid transparent;
            border-radius: 4px;
            background-color: white;
            box-shadow: 0 1px 3px 0 #e6ebf1;
            -webkit-transition: box-shadow 150ms ease;
            transition: box-shadow 150ms ease;
        }

        .StripeElement--focus {
            box-shadow: 0 1px 3px 0 #cfd7df;
        }

        .StripeElement--invalid {
            border-color: #fa755a;
        }

        .StripeElement--webkit-autofill {
            background-color: #fefde5 !important;
        }
    </style>


    <!-- main -->
    <div class="container-fluid">
        <div class="row">
            <div class="col">
                <div class="header-text-full">
                    <h3 class="ms-2 mb-0 mt-2">{{ 'Pay with '.optional($order->gateway)->name ?? '' }}</h3>
                </div>
            </div>
        </div>

        <section class="transaction-history mt-4">
            <div class="container-fluid">
                <div class="row">
                    <div class="col">
                        <div class="card secbg br-4 bg-dark">
                            <div class="card-body br-4">
                                <div class="row align-items-center">
                                    <div class="col-md-3">
                                        <img
                                            src="{{getFile(config('location.gateway.path').optional($order->gateway)->image)}}"
                                            class="card-img-top gateway-img br-4" alt="..">
                                    </div>
                                    <div class="col-md-9">
                                        <h4>@lang('Please Pay') {{getAmount($order->final_amount)}} {{$order->gateway_currency}}</h4>
                                        <h4 class="my-3">@lang('To Get') {{getAmount($order->amount)}}  {{$basic->currency}}</h4>
                                        <form action="{{$data->url}}" method="{{$data->method}}">
                                            <script
                                                src="{{$data->src}}"
                                                class="stripe-button"
                                                @foreach($data->val as $key=> $value)
                                                    data-{{$key}}="{{$value}}"
                                                @endforeach>
                                            </script>
                                        </form>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>



    @push('script')
        <script>
            $(document).ready(function () {
                $('button[type="submit"]').removeClass("stripe-button-el").addClass("btn btn-bg").find('span').css('min-height', 'initial');
            })
        </script>
    @endpush

@endsection




